Wyszukaj

Wyświetlanie wyników dla tagów 'zwcad 2017' .



Więcej opcji wyszukiwania

  • Wyszukaj za pomocą tagów

    Wpisz tagi, oddzielając je przecinkami.
  • Wyszukaj za pomocą nazwy autora

Typ zawartości


Forum

  • Programy do wspomagania projektowania.
    • ZWCAD
    • Nakładki na ZWCAD i ZWCAD+
    • Wsparcie programistyczne LISP i VisualLISP
    • KOMPAS-3D / KOMPAS-3D LT
    • AutoTURN
    • ABViewer
    • RENGA
    • formZ (dawniej bonzai3d)
    • SMath
    • Programy obliczeniowe
    • Scan2CAD, PDF2CAD, PDF-XChange
    • Sprawy organizacyjne
  • Zagadnienia konstrukcyjne
    • Hyde Park
    • Dozór techniczny UDT

Blogi

  • Blog dmatusz
  • JoannaG Blog
  • pawmal Blog
  • awarchBlog
  • nikdomiBlog
  • KOMPAS-3D blog
  • Jak rozpocząć pracę w ZWCAD Architecture
  • Baza wiedzy CRM
  • Jak rozpocząć pracę w ZWCAD Mechanical
  • Konstruktorro
  • SMath blog
  • ikubicaBlog
  • kruszynskiBlog
  • Jak rozpocząć pracę w ZWCAD Architecture - część 2
  • Okon blog
  • Czysta wątroba
  • Trądzik różowaty
  • Ciekawostki ze świata
  • Blogger
  • Projektowanie 3D

Znajdź wyniki...

Znajdź wyniki które...


Data utworzenia

  • Rozpoczęcie

    Zakończenie


Ostatnia aktualizacja

  • Rozpoczęcie

    Zakończenie


Filtruj po ilości...

Dołączył

  • Rozpoczęcie

    Zakończenie


Grupa podstawowa


AIM


MSN


ICQ


Yahoo


Jabber


Location


Interests

Znaleziono 9 wyników

  1. Witam wszystkich. Chciałbym się pochwalić pierwszą nakładką dedykowaną dla ZWCAD 2017, którą napisałem i udostępniam na stronie www.przybornik.parikon.pl. Wkrótce mam zamiar udostępnić następne. Osoby zainteresowane zapraszam do testowania. Niestety ograniczam się tylko do aplikacji 64 bitowych. Sam projekt nakładek jest swego rodzaju nauką programowania. Mam nadzieję, udostępniać coraz ciekawsze programy i liczę także na pomoc na tym forum w kwestii ich testowania i opinii co do ich przydatności.
  2. W e-CAD można rysować w metrach, wystarczy w oknie Konfiguracja na zakładce Ogólne ustawić ilość miejsc po przecinku równą 3 (okno i przykład poniżej). W e-CAD można również dorysować bez problemu linię pomiędzy symbolami przekrojów (2 dodatkowe kliknięcia myszą), ponadto można dowolnie zdefiniować swój własny wygląd symbolu przekroju, gdyż jest on zdefiniowany w zewnętrznym pliku DWG, który każdy użytkownik może zmodyfikować według własnych preferencji.
  3. Znaleźliśmy błąd, który występuje w ZWCAD 2017/2018 w pliku menu .mnu, a dokładnie w paskach TOOLBAR'S z ikonami. OPIS BŁĘDU: Rozwijany pasek z ikonami będący niejako podmenu głównego paska menu, który w swoim wyświetlanym opisie zawiera przecinki, nie jest w ogóle wyświetlany. FRAGMENT PLIKU .MNU SPRAWIAJĄCY ŻE PODMENU NIE ZOSTANIE WYŚWIETLONE: [_Flyout("opis1, opis2, opis3", ikona.bmp, ikona.bmp, _OtherIcon, MENU.PODMENU)] FRAGMENT PLIKU .MNU, KTÓRY ZOSTANIE WYŚWIETLONY: [_Flyout("opis1 opis2 opis3", ikona.bmp, ikona.bmp, _OtherIcon, MENU.PODMENU)]
  4. Znaleźliśmy błąd w ZWCAD 2017 i ZWCAD 2018 polegający na niepełnej obsłudze zbiorów wskazań w LISP z poziomu pliku VBA. OPIS BŁĘDU: Przy tworzeniu zbioru wskazań w LISP z poziomu programu VBA przy pomocy komendy SENDCOMMAND, nie są pamiętane wszystkie obiekty zbioru wskazań, a jedynie ostatni z nich. Problem ten nie istniał w poprzednich wersjach ZWCAD i w innych platformach CAD również go nie ma. PRZYKŁAD SYMULUJĄCY BŁĄD: Wczytać plik: zbiorywskazan.zvb Wczytać i uruchomić plik: start.lsp OPIS PRZYKŁADU: Jeżeli uruchomi się procedurę "Test" z poziomu edytora VBA (F5) to wszystko jest OK., linie przesuwają się i wyświetla się komunikat "3". Jeżeli natomiast uruchomi się (dla testu wcześniej plik VBA musi być załadowany) plik "start.lsp" to przesuwa się tylko 1 linia i wyświetla się komunikat "1". I to jest istota problemu, że przy uruchamianiu/wywoływaniu procedury z pliku zewnętrznego ZWCAD 2017/2018 jakby zeruje zbiory wskazań w LISP. Jeżeli uruchomi się natomiast ten sam identyczny przykład np.: w ZWCAD+ to problemu nie ma i w obu przypadkach linie są przesuwane i zwracany jest komunikat "3". PLIKI Z PRZYKŁADEM: start.lsp (vl-vbarun "Test") zbiorywskazan.zvb Function Rysuj_Linie_1() As ZcadSelectionSet Dim L As ZcadLine Dim P1(0 To 2) As Double Dim P2(0 To 2) As Double P1(0) = 0: P1(1) = 0: P1(2) = 0 P2(0) = 100: P2(1) = 10: P2(2) = 0 Set L = ThisDrawing.ModelSpace.AddLine(P1, P2) End Function Function Rysuj_Linie_2() As ZcadSelectionSet Dim L As ZcadLine Dim P1(0 To 2) As Double Dim P2(0 To 2) As Double P1(0) = 0: P1(1) = 0: P1(2) = 0 P2(0) = 100: P2(1) = 20: P2(2) = 0 Set L = ThisDrawing.ModelSpace.AddLine(P1, P2) End Function Function Rysuj_Linie_3() As ZcadSelectionSet Dim L As ZcadLine Dim P1(0 To 2) As Double Dim P2(0 To 2) As Double P1(0) = 0: P1(1) = 0: P1(2) = 0 P2(0) = 100: P2(1) = 30: P2(2) = 0 Set L = ThisDrawing.ModelSpace.AddLine(P1, P2) End Function Sub Test() ThisDrawing.SendCommand "(setq z (ssadd))" + vbCr Call Rysuj_Linie_1 ThisDrawing.SendCommand "(ssadd (entlast) z)" + vbCr Call Rysuj_Linie_2 ThisDrawing.SendCommand "(ssadd (entlast) z)" + vbCr Call Rysuj_Linie_3 ThisDrawing.SendCommand "(ssadd (entlast) z)" + vbCr ThisDrawing.SendCommand "(command " + Chr(34) + "_move" + Chr(34) + " z " + Chr(34) + "" + Chr(34) + " " + Chr(34) + "0,0" + Chr(34) + " " + Chr(34) + "100,100" + Chr(34) + " " + Chr(34) + "" + Chr(34) + ") " ' + vbCr ThisDrawing.SendCommand "(alert(itoa(sslength z)))" + vbCr End Sub
  5. Wersja 2017.06.22(18776)_x64 Przy dodawaniu nowej palety narzędzi nie można zmienić jej nazwy
  6. VERNUM = "2017.07.21(19945)_x64_S" EN (i wcześniejsze) Po załadowaniu własnej aplikacji, która do uruchomienia wymaga wpisania komendy np: 'COUNTINPLINE' ZWCAD 2017 dobrze podpowiada w auto-uzupełnieniu już po 3 literach 'COU' całą komendę. Po zaakceptowaniu podpowiedzi wszystko działa prawidłowo. A teraz gdzie jest problem - otóż gdy chce się ponownie uruchomić ten skrypt, to wciskając strzałkę do góry (aby podejrzeć wcześniejsze komendy) pojawia się tylko wpis 'COU' a nie cała komenda 'COUNTINPLINE' i nie można jej uruchomić. Trzeba dopisać kolejną literkę 'COUN', to ZWCAD ponownie podpowie całą komendę. W historii komend jednak będzie dostępna teraz komenda 'COUN', która nadal nie uruchomi naszej aplikacji. Sprawdziłem, że dla aplikacji wbudowanych w ZWCAD ten problem nie występuje (np. po wpisaniu 'HAT' ZWCAD podpowiada całą komendę 'HATCH' a w historii komend jest dostępna tylko pełna komenda 'HATCH'). Wcześniejsze ZWCADy nie mają tego problemu (mówię tu np. o wersji ZWCAD 2015+ - VERNUM = "2015.08.15(27483)")
  7. Witam 1. Pierwszy problem dotyczy wstawiania rastrów i ustawień ich skali. Pracowałem wcześniej na AutoCadzie i przykładowo po wykonaniu skanu rzutu budyku lub mapy w jakiejś skali i wstawieniu do rysunku z ustawieniem skali 1 obraz trzymał wymiary. W ZWCADZIE natomiast ten sam obraz wstawiony przy skali 1 kompletnie jej nie trzyma i wymiary są całkowicie oderwane od faktycznych. 2. Drugi problem dotyczy przycinania rastrów z wykorzystaniem obwiedni obróconej. O ile na modelu wszystko wygląda ok to przy wydruku zarówno do PDF jak i na zwykłej drukarce drukowany jest obszar jak przy zwykłej obwiedni. W załączniku pliki obrazujące problem. 3. Chciałem się zorientować czy w ZWCADZIE 2017 istnieje funkcja ADDCENTER (chyba tak się nazywa) i jak ją uruchomić. W każdym razie w Autocadzie i wydaje mi się że także w ZWCAD CLASSIC uruchamiało się ją kombinacją ctrl+2 i pozwalała na kopiowanie np. odniesień, układów, stylów itp. pomiędzy rysunkami.
  8. Witam, jak to jest z nakładkami na ZWCad 2017? Jest możliwość współpracy ZWCada z nakładkami, czy nie? Korzystam z nakładek konstrukcyjnych BIK i taki oto komentarz pojawił się na oficjalnej stronie producenta: Pozdrawiam
  9. Dzień dobry, jako, że nie został utworzony nowy wątek ani przeniesiony poprzedni dotyczący ZWCad+ 2016 (który to z wiadomych przyczyn stał się nieaktualny) to zakładam tutaj nowy temat związany z propozycjami nowych funkcji w ZWCAD 2017. Proszę wszystkich zainteresowanych o wpisywanie funkcji, których brakowało a powinny być już standardem w nowej wersji programu. Sam osobiście proszę o zwrócenie uwagi na takie funkcje: - grip środkowy (middle grip) - znacznik na środku linii lub polilini, które usprawnia pracę przy przeciąganiu linii/polilinii i podobnych obiektów - grupowanie obiektów i wszystkie zmienne z tą funkcją związane (groupdisplaymode... itd.) - przezroczystość warstwy- dodatkowa funkcja w oknie "Zarządzanie właściwościami warstw" (również super działa to w AC) - ViewCube (tak nazywa się to w AC), ale Brics_cad również zaimplementował to u siebie w trochę innej formie, ale również świetnie się sprawuje - funkcja AutoTrack - czyli śledzenie biegunowe, ale takie, które działa gdy jest włączona funkcja orto (bardzo dobrze działa to w AC) - funkcja 'magnes' - funkcja programu dotycząca przyciągania celownika do punktów charakterystycznych, w ZWCad+ 2012 i 2014 działało to fatalnie, w 2015 widać było znaczną poprawę, ale proszę o zwrócenie uwagi, aby jeszcze lepiej dopracować ten element... może to jest szczegół, ale znacznie przyjemniej pracuje się z rysnkami, których nie trzeba ciągle poprawiać z powodu niedokładności... - migotanie krzyża nitkowego - tutaj również zauważyłem poprawę wraz z wydanie service packa dla ZWCad+ 2015, natomiast jeszcze można to dopracować, żeby użytkownicy nie nabawili się "oczopląsu"... :-)) Czy będzie możliwość przetestowania jakiejś wersji rozwojowej programu (alfa, beta...) ZWCad 2017 przez użytkowników??? Może nim wyjdzie wersja stabilna dzięki uwagom użytkowników udałoby się wyeliminować wiele z błędów (zwłaszcza tych krytycznych), które bardzo często są w pierwszych wydaniach programu. Wydawanie nowych wersji (czyt. service pack'ów) co miesiąc jest moim zdaniem uciążliwe dla użytkowników (zwłaszcza tych korzystających z nakładek).